<?php
class Texto extends AppObjeto {
	
	const TEXTO_VALIDAR_EMAIL = '0081';
	const TEXTO_PETICION_PRESUPUESTO_RECIBIDA = '0086';
	const TEXTO_EMAIL_VALIDADO = '0087';
	
	//Propiedades
	protected $codigo;
	protected $idioma;
	protected $nombre;
	protected $texto;
	protected $titulo;
	protected $labelasunto;
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'tex';
	protected static $_nombreTabla = 'RESERCONFIRM';
	protected static $_campoPK = 'CODIGO';
	
	// InitMetaDatos
	

	protected static function initMetaDatos(){

		self::addPropiedadBD('tex', 'CODIGO', 'codigo', self::META_VARCHAR);
		self::addPropiedadBD('tex', 'IDIOMA', 'idioma', self::META_INT);
		self::addPropiedadBD('tex', 'NOMBRE', 'nombre', self::META_VARCHAR);
		self::addPropiedadBD('tex', 'TEXTO', 'texto', self::META_VARCHAR);
		self::addPropiedadBD('tex', 'TITULO', 'titulo', self::META_VARCHAR);
		self::addPropiedadBD('tex', 'LABELASUNTO', 'labelasunto', self::META_VARCHAR);
		
	}
	// Métodos
	public function __construct($codigo = null, $idioma= null){
		$clase = get_class($this);
		$clase::initMetaDatos();
		$this->codigo = $codigo;
		$this->idioma = $idioma;
		if ($codigo!= null && $idioma!= null){
			$this->load ($codigo, $idioma);
		}
	}
	
	public function load($codigo, $idioma){

		$clase = get_called_class();
		$select = $clase::selectObjeto();
		$select->where('codigo=?',$codigo);
		$select->where('idioma=?',$idioma);
		$res = $clase::selectExecute($select);

		if (!$res->estaVacio()){
			$datos = $res->getDatos();
			$this->id = array($codigo, $idioma);
			$this->asignaDatosObjeto($datos[0]);
		}
	}
	
	// Get y Set
	
	public function getCodigo() {
	    return $this->codigo;
	}
	public function setCodigo($codigo) {
	    $this->codigo = $codigo;
	}
	
	public function getIdioma() {
	    return $this->idioma;
	}
	public function setIdioma($idioma) {
	    $this->idioma = $idioma;
	}
	
	public function getNombre() {
	    return $this->nombre;
	}
	public function setNombre($nombre) {
	    $this->nombre = $nombre;
	}
	
	public function getTexto() {
	    return $this->texto;
	}
	
	
	public function setTexto($texto) {
	    $this->texto = $texto;
	}
	
	public function getTitulo() {
	    return $this->titulo;
	}
	public function setTitulo($titulo) {
	    $this->titulo = $titulo;
	}
	
	public function getLabelAsunto() {
	    return $this->labelasunto;
	}
	public function setLabelAsunto($labelasunto) {
	    $this->labelasunto = $labelasunto;
	}
	
	
	
}